Bug 323300 - Keyboard shortcuts do not respect the keymap [KAction]
Summary: Keyboard shortcuts do not respect the keymap [KAction]
Status: REPORTED
Alias: None
Product: kdelibs
Classification: Unclassified
Component: shortcuts (show other bugs)
Version: unspecified
Platform: Kubuntu Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdelibs bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-08 22:19 UTC by Simon Brown
Modified: 2018-08-10 13:09 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Simon Brown 2013-08-08 22:19:50 UTC
I use both the Programmer dvorak keyboard layout (default) and qwerty and switch between them at a global level. When trying to assign labels to a photo with the qwerty map, the Alt+(0-3) keyboard shortcuts are wrong. In fact the photos can be labelled using the dvorak keystrokes.

example: pressing Alt+2 does nothing (This is Alt+[ in prog dvorak). Pressing Alt+Shift+8 adds the pending label (This is Alt+2 in prog dvorak) 

Reproducible: Always

Steps to Reproduce:
1. login with prog dvorak keymap as default
2. find a photo in digikam that you want to label
3. switch the keymay to qwerty (to make entering numbers easier)
4. press Alt+2 to label the photo as pending
Actual Results:  
nothing has changed

Expected Results:  
photo is labelled as pending

Photo can be labelled as pending by pressing Alt+Shift+8 This is the programmer Dvorak key action.

I also use a Russian keymap at times. It looks like digikam is not getting the notification or acting when the keymap is changed. After setting the keymap to russian, the Dvorak shortcuts still work. 

Digikam freshly installed.
Comment 1 Simon Brown 2013-09-05 20:24:28 UTC
Still present in 3.3.0
Comment 2 caulier.gilles 2013-12-18 13:34:41 UTC
I don't know why dvorak keyboard doen't work as espected with digiKam, but Labels keyboard shortcuts are set internally using standard KDELibs calls :

https://projects.kde.org/projects/extragear/graphics/digikam/repository/revisions/master/entry/digikam/tags/tagsactionmngr.cpp#L190

https://projects.kde.org/projects/extragear/graphics/digikam/repository/revisions/master/entry/digikam/tags/tagsactionmngr.cpp#L210

https://projects.kde.org/projects/extragear/graphics/digikam/repository/revisions/master/entry/digikam/tags/tagsactionmngr.cpp#L230

... no more. Perhaps KDELibs do not support well dvorak keyboard...

Gilles Caulier